Ubuntu – MPlayer quittiert den Dienst mit GCC 4.4.1

Never change a running system“ …das kann ich heute wieder einmal bestätigen. Ab Ubuntu Karmic (9.10) wird die GCC (GNU Compiler Collection) Version 4.4.1 verwendet, immer wieder ist mein MPlayer mit VAAPI Unterstützung mit folgender Meldung hängen geblieben.

In meinem Fall hat es geholfen den MPlayer mit cc=gcc-4.3 zu kompilieren, aber vorher sollten wir noch diese Pakete installieren.

Wer von euch den MPlayer inkl. VAAPI Unterstützung nach meiner Anleitung eingerichtet hat muss dazu nur noch folgendes ändern. Ubuntu – MPlayer quittiert den Dienst mit GCC 4.4.1 weiterlesen

Ubuntu – MPlayer inkl. SMPlayer mit VAAPI Unterstützung

Ergänzend zur Vorbereitung von unserem Ubuntu für den VAAPI-Support, nun das Tutorial das der MPlayer VAAPI als Hardwarebeschleuniger nutzt. Gwenole Beauchesne hat den MPlayer schon bestmöglichst für VAAPI vorbereitet.

Linux SMPlayer

EDIT: Achtung bei Ubuntu Karmic 9.10 mit GCC Version 4.4.1

Jetzt noch unser Front-End für den MPlayer > SMPlayer

SMplayer wie auf den Screenshots konfigurieren. Ubuntu – MPlayer inkl. SMPlayer mit VAAPI Unterstützung weiterlesen

Ubuntu – VLC media player mit VAAPI Unterstützung

Ergänzend zur Vorbereitung von unserem Ubuntu für den VAAPI-Support, nun das Tutorial das der VLC media player VAAPI als Hardwarebeschleuniger nutzt. Der VLC media player ist für Developers bereits in der Version 1.1 inkl VAAPI Unterstützung verfügbar.

Ubuntu 9.10 – Farben Bug: Ubuntu – VLC media player mit VAAPI Unterstützung weiterlesen

Ubuntu für VAAPI Support vorbereiten

Linux VAAPIEin einem älteren Artikel haben wir uns den MPlayer inkl. SMplayer und VDPAU Support aus einem extra Rebository installiert. Seit Ubuntu 9.10 benötigen wir keine zusätzliche Quellen, da der Nvidia-185-Treiber im originalen Karmic-Rebo zufinden ist. Mittlerweile gibt es auch einen weiteren Hardwarebeschleuniger, VAAPI verwendet die Grafikkarte zum Dekodieren, Deinterlacen und Skalieren von Videos. VDPAU wird in diesem Fall als „backend“ von VAAPI genutzt, das heißt jede Software die VAAPI unterstüzt, unterstüzt VDPAU. Bevor wir aber den VLC media player oder MPlayer mit VAAPI Support kompilieren können müssen wir unser System erstmal für VAAPI vorbereiten.

Zuerst vergewissern wir uns das der 185er NVIDIA Treiber installiert ist. 🙄

Jetzt installieren wir libva (VAAPI)…

…ergänzend zu libva müssen wir vdpau-video installieren. Ubuntu für VAAPI Support vorbereiten weiterlesen